package util

import (
	"context"
	"fmt"
	"github.com/docker/docker/api/types/image"
	"github.com/docker/docker/client"
)

func ImageExists(cli *client.Client, imageName string) bool {
	defer func() {
		if r := recover(); r != nil {
			fmt.Println("Recovered from panic:", r)
		}
	}()

	// 设置上下文
	ctx := context.Background()

	// 获取所有的镜像
	images, err := cli.ImageList(ctx, image.ListOptions{})
	if err != nil {
		fmt.Println("Error listing images:", err)
		return false
	}

	// 检查指定名称的镜像是否存在
	for _, imageObject := range images {
		for _, tag := range imageObject.RepoTags {
			if tag == imageName {
				return true
			}
		}
	}

	return false
}
